module PackagecloudDebtools
  class PackageListItem
    attr_accessor :name, :type, :section, :priority
    def initialize(name, type, section, priority)
      @name = name
      @type = type
      @section = section
      @priority = priority
    end

    def self.parse(line)
      if line =~ /^(.*)[\t\s]+(.*)[\t\s]+(.*)[\t\s]+(.*)$/
        new($1, $2, $3, $4)
      end
    end
  end
end
