# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'packagecloud_debtools/version'

Gem::Specification.new do |spec|
  spec.name          = "packagecloud_debtools"
  spec.version       = PackagecloudDebtools::VERSION
  spec.authors       = ["Joe Damato"]
  spec.email         = ["ice799@gmail.com"]
  spec.summary       = "packagecloud debian tools for ruby"
  spec.description   = "packagecloud debian tools for ruby"
  spec.homepage      = "https://packagecloud.io"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"

  spec.add_runtime_dependency "gpgme"
  spec.add_runtime_dependency "libarchive-ruby-swig", "0.6.2"
end
